cURL
curl --request GET \ --url https://{appid}.api-{region}.cometchat.io/v3/roles \ --header 'apikey: <api-key>'
{ "data": [ { "role": "manager", "name": "manager", "description": "This role gives an update access", "metadata": { "email": "managers@gmail.com" }, "settings": { "listUsers": "all", "sendMessagesTo": "friendsOnly" }, "createdAt": 1638343994 }, { "role": "default", "name": "Default Role", "description": "This role gives full access ", "createdAt": 1629869270, "updatedAt": 1630306291 } ], "meta": { "pagination": { "total": 2, "count": 2, "per_page": 100, "current_page": 1, "total_pages": 1 } } }
Lists the user roles
Documentation IndexFetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Was this page helpful?